Bug 1118955 - Is lorax x86_64 -> x86-64 change really necessary?
Summary: Is lorax x86_64 -> x86-64 change really necessary?
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lorax
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-12 08:38 UTC by Bruce Jerrick
Modified: 2014-10-09 20:46 UTC (History)
2 users (show)

Fixed In Version: lorax-21.17-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-09 20:46:05 UTC


Attachments (Terms of Use)

Description Bruce Jerrick 2014-07-12 08:38:47 UTC
Description of problem:
In lorax-21.15-1, spaces in media labels were replaced with hyphens
("Don't emit media labels with spaces in them").  But "x86_64" was
also changed to "x86-64" ('_' changed to hyphen).
That would seem to be an unnecessary proliferation of variations.
("x86_64" should be regarded as an atom, whereas '-' is used as a
syntactic separator.  And on the practical side, "x86_64" is the form
reported by, e.g., 'arch' and 'uname -i'.)

Version-Release number of selected component:
lorax-21.15-1.fc21

Instances of "x86-64" appear in:
    EFI/BOOT/grub.cfg
    isolinux/isolinux.cfg

Comment 1 Bruce Jerrick 2014-08-01 09:55:06 UTC
Thanks for the quick resolution.
I noticed in the pungi changelog, 3.05-1, the same "Don't emit media labels
with spaces in them" that started this.  Might pungi need the underscore fix
also?  (Sorry, but I'm not familiar with pungi, and I haven't looked into
it yet.)

Comment 2 Brian Lane 2014-08-01 20:36:26 UTC
No. The substitution was happening in the lorax template and it looks like pungi isn't doing any substitution, just creating the label w/o spaces. So everything should be fine at this point.


Note You need to log in before you can comment on or make changes to this bug.